MagicMirror² v2.12.0 is available! For more information about this release, check out this topic.

Third-Party Module - how to get help?



  • I don’t seem to be seeing that error any more, but now it’s crying about not using HTTPS (warning, not error, and specifically for Electron). For whatever reason, that warning wasn’t showing up in the console prior although I’m sure that it was there in some capacity.

    I -do- see an indication of an error but can’t seem to find any error in the console.



  • @ember1205 that big pile of warning is just that warning… a couple years ago, the networking community decide that EVEY website should move away from http, to https, to reduce hacking the clear text content as it went by…

    so, electron is warning that u didn’t use https



  • @sdetweil said in Third-Party Module - how to get help?:

    @ember1205 that big pile of warning is just that warning… a couple years ago, the networking community decide that EVEY website should move away from http, to https, to reduce hacking the clear text content as it went by…

    so, electron is warning that u didn’t use https

    Oh, I’m well aware. This sort of stuff is “what I do” every day. I just find it interesting that I didn’t see it before, see it now, and can’t seem to find the error that is being indicated is present.

    Switching to an external browser allows me to find the error - it’s actually related to one of the weather modules. The specific complaint is that I don’t have permission to load the weather map.

    Failed to load resource: the server responded with a status of 401 (Unauthorized)
    https://api.openweathermap.org/data/2.5/forecast/daily?id=< removed>&units=imperial&lang=en&APPID=< removed>
    

    I’ll have to look and see if I can turn off the attempt to load that map.



  • @ember1205 said in Third-Party Module - how to get help?:

    Oh, I’m well aware. This sort of stuff is “what I do” every day.

    cool…

    i can’t explain why it wasn’t shown before… I see it all the time (assuming I don’t have some filter enabled to select just messages for specific modules…)…
    oh I did a dummy routine to replace the MM provided one that echos notifications received,
    cause the darned clock module sends an annoying notice every second.


  • Module Developer

    @sdetweil said in Third-Party Module - how to get help?:

    cause the darned clock module sends an annoying notice every second.

    hasn’t this been resolved with a recent update? If not it should be.
    With the update to 2.10.0 I don’t get any notifications by the clock anymore.



  • @lavolp3 not different

    if (self.config.displaySeconds) if u have seconds displayed on your time, u still get notices

    this is the default setting (was on 2.9, is on 2.10)



  • @ember1205 you need to do another git pull…

    i found a case where it doesn’t update the image anymore…



  • @sdetweil said in Third-Party Module - how to get help?:

    @ember1205 you need to do another git pull…

    i found a case where it doesn’t update the image anymore…

    Will do.

    As an aside… I directly witnessed an odd scenario the other day when I had it refreshing every five minutes… one of the images only loaded the upper half on the screen (the bottom half of the screen had no image and was blank). I could not tell what image it was as I have quite a few in rotation and the frame continued on cleanly from there with the next image.

    Is that in any way related to what you found?



  • @ember1205 no… I have seen the slow paint issue myself many times…

    electron is having some painting problem… again we are on 3.0.13, no longer supported since way back…

    I had tried to get us to 6.0.12 this release, but the test system failed, and they removed this change from the 2.10 release
    (but I have seen paint problems on 6.0.12 too)

    u can try this manually

    cd ~/MagicMirror
    npm install electron@6.0.12
    


  • @sdetweil said in Third-Party Module - how to get help?:

    @ember1205 no… I have seen the slow paint issue myself many times…

    electron is having some painting problem… again we are on 3.0.13, no longer supported since way back…

    I had tried to get us to 6.0.12 this release, but the test system failed, and they removed this change from the 2.10 release
    (but I have seen paint problems on 6.0.12 too)

    u can try this manually

    cd ~/MagicMirror
    npm install electron@6.0.12
    

    What I saw seemed to be different from a “slow paint” issue - it painted the top half and stopped. It sat there for a few seconds and then the image switched to the next one.

    While upgrading manually would certainly get me to something newer for Electron, it puts me in the position of not having a “standard install” for future troubleshooting and such. It’s a double-edged sword…


Log in to reply